New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Ignore Do Not Track setting for Gnome Epiphany browser. #8682

Closed
ChALkeR opened this Issue Sep 1, 2015 · 2 comments

Comments

Projects
None yet
3 participants
@ChALkeR

ChALkeR commented Sep 1, 2015

Similar: #4482, #3486.

Epiphany broke DNT support, it now sends DNT headers by default: https://git.gnome.org/browse/epiphany/commit/?id=4ff8705155fda53460bc9dfdc1de6c14e83880a1.
It's not a user preference anymore (as it should be), it's a default setting, which breaks the purpose behind DNT.

The user agent includes Epiphany/{version}, latest version that did not break DNT was Epiphany/3.17.2.

@ChALkeR

This comment has been minimized.

Show comment
Hide comment
@ChALkeR

ChALkeR Sep 1, 2015

http://www.w3.org/TR/tracking-dnt/

A user agent must have a default tracking preference of unset (not enabled) unless a specific tracking preference is implied by the user's decision to use that agent.

ChALkeR commented Sep 1, 2015

http://www.w3.org/TR/tracking-dnt/

A user agent must have a default tracking preference of unset (not enabled) unless a specific tracking preference is implied by the user's decision to use that agent.

@mattab mattab added this to the 2.15.0 milestone Sep 20, 2015

@mattab mattab added the Task label Sep 20, 2015

@tsteur

This comment has been minimized.

Show comment
Hide comment
@tsteur

tsteur Sep 24, 2015

Member

We do now ignore DNT for Epiphany. @mattab unfortunately we have to ignore all versions of Epiphany but I think that's ok for now? To respect the users privacy using an earlier version it would be nice to be able to specify a min browser version to ignore. It's possibly not needed in this case and I'll close it for now. Feel free to reopen if it's needed already.

Member

tsteur commented Sep 24, 2015

We do now ignore DNT for Epiphany. @mattab unfortunately we have to ignore all versions of Epiphany but I think that's ok for now? To respect the users privacy using an earlier version it would be nice to be able to specify a min browser version to ignore. It's possibly not needed in this case and I'll close it for now. Feel free to reopen if it's needed already.

@tsteur tsteur closed this Sep 24, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment